package request


type AlibabaWdkSkuStoreskuScrollQueryRequest struct {
    /*
        经营的id     */
    StoreId  *string `json:"store_id,omitempty" required:"false" `
    /*
        历游标，首次调用传递null，后续传递ScrollPageResult.getScrollId()     */
    ScrollId  *string `json:"scroll_id,omitempty" required:"false" `
}

func (s *AlibabaWdkSkuStoreskuScrollQueryRequest) SetStoreId(v string) *AlibabaWdkSkuStoreskuScrollQueryRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryRequest) SetScrollId(v string) *AlibabaWdkSkuStoreskuScrollQueryRequest {
    s.ScrollId = &v
    return s
}

func (req *AlibabaWdkSkuStoreskuScrollQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.ScrollId != nil) {
        paramMap["scroll_id"] = *req.ScrollId
    }
    return paramMap
}

func (req *AlibabaWdkSkuStoreskuScrollQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}